Gather DTMF from a call
Authorizations
HTTPRequired
Uses the Authorization header: 'AccessKey ' followed by your access key token
Path parameters
workspaceIdstring · uuidRequired
The unique identifier of the workspace.
callIdstring · uuidRequired
The ID for a call
channelIdstring · uuidRequired
The ID for a channel
Body
maxNumKeysintegerOptional
endKeystring · enumOptionalPossible values:
timeoutintegerOptional
retriesintegerOptional
inputstring · enumOptionalPossible values:
speechLocalestring · enumOptionalDefault:
en-USExample: en-USPossible values: Responses
202
Call Command Gather was accepted for processing
application/json
idstring · uuidOptional
callIdstring · uuidOptional
callFlowIdstring · uuid · nullableOptional
statusstringOptional
commandstringOptional
400
An error
application/json
404
An error
application/json
422
The request contains invalid parameters or body fields.
application/json
post/workspaces/{workspaceId}/channels/{channelId}/calls/{callId}/gather
curl -X POST "https://api.bird.com/workspaces/{workspaceId}/channels/{channelId}/calls/{callId}/gather" \
-H "Authorization: AccessKey YOUR_SECRET_TOKEN"{
"maxNumKeys": 0,
"endKey": "0",
"timeout": 0,
"retries": 0,
"input": "dtmf",
"playback": {
"media": [
"string"
],
"loop": 0,
"timeout": 0
},
"say": {
"text": "string",
"locale": [
"en-US"
],
"voice": "male",
"loop": 0,
"timeout": 0
}
}Last updated
Was this helpful?

